%define module_version 0.07
%define module_name DBIx-Class-Relationship-Predicate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Path/Class.pm) perl(SQL/Translator.pm) perl(Sub/Name.pm) perl(Test/Builder/Module.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Predicate methods for relationship accessors
Group: Development/Perl
License: perl
URL: https://github.com/wreis/DBIC-Relationship-Predicate

Source0: http://cpan.org.ua/authors/id/W/WR/WREIS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
the DBIx::Class manpage component to automatically create predicates for relationship accessors in a result class.
By default, it creates `"has_${rel_accessor_name}"' methods and injects into the class,
thus for that case we would have 'has_baz', 'has_buzz' and 'has_bars' methods on `$foo' row object. You can
define the name for each one (or also disable its creation using `undef' as value) by setting 'predicate'
key in the relationship's attrs hashref.

   __PACKAGEE_->might_have(
       'buzz' => 'My::Schema::Result::Buzz', 'foo_id',
       { 'predicate' => 'got_a_buzz' }
   );

   or

   __PACKAGEE_->might_have(
       'buzz' => 'My::Schema::Result::Buzz', 'foo_id',
       { 'predicate' => undef }
   );


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/D*

%changelog
* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Sat Oct 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

